$(function(){
	// 选中默认房间
	$('.cell-list-item').each(function(index){
		var data = eval('('+$(this).attr('data')+')');
		if(data.cellId == selCell){
			$(this).addClass('cell-sel');
		}
	});
	
	$('#div_tips').hide();
	
	$('#success_tips').hide();
	$('#orther_tips').hide();
	$('#div_celllist').hide();
	$('#div_name').hide();
	
	$('.backBtn').click(function(){
		$('#div_name').hide();
		$('#div_celllist').hide();
		$('#div_info').show();
	});
	
	$('#editName').click(function(){
		$('#div_celllist').hide();
		$('#div_name').show();
		$('#div_info').hide();
	});
	$('.set-view-item').click(function(){
		var data = $(this).attr('data');
		if(data=='cells'){
			selCellF();
		}else if(data=='members'){
			setMembersF();
		}else if(data=='phone'){
			setPhoneF();
		}
	});
	
	//保存
	$('#saveBtn').click(function(){
		var data = getFormData('name_form');
		if(data.name!=null && data.name.length>0){
			var nameRe = /^([\x09\x0A\x0D\x20-\x7E]|[\u4e00-\u9fa5]|[\uff0c\u3002\u3001\uff1b\u2019\u2018\u3010\u3011\u3001\uff1a\u201c\u201d\u300a\u300b\uff1f\uff01\u00b7\uffe5\u2026\uff08\uff09\u2014])+$/;
			if(!nameRe.test(data.name)){
				$('#tips_msg').text('账号名称含有非法字符，请重新输入');
				showTips('orther_tips',false);
				return;
			}
			waiting();
			doPost(ctx+"/info/updatename?appId="+appId,data,true,function(result){
				if(typeof result == "string"){
					result = eval('('+result+')');
				}
				if(result.error == 0){
					name = data.name;
					$('#userName').text(name);
					$('#ok_msg').text('修改成功');
					showTips('success_tips',true);
				}else{
					$('#tips_msg').text(result.errormsg);
					showTips('orther_tips',false);
				}
				waitingStop();
			});
		}else{
			//提示填写手机号码
			$('#tips_msg').text('新的门禁账号名称');
			showTips('orther_tips',false);
		}
	});
	
	$('.cell-list-item').click(function(){
		var selNode = $(this);
		var data = eval('('+selNode.attr('data')+')');
		waiting();
		doPost(ctx+"/info/cellsel?appId="+appId,{openid:openid,userId:userId,cellSel:data.cellId,name:name,phone:phone},false,function(result){
			if(typeof result == "string"){
				result = eval('('+result+')');
			}
			if(result.error == 0){//成功
				$('.cell-sel').removeClass('cell-sel');
				selNode.addClass('cell-sel');
				selCell = data.cellId;
				$('#cellName').text(data.cellName);
				$('#ok_msg').text('设置成功');
                type = data.type;
				var src = data.type==1?ctx+'/images/masterIcon.png':data.type==2?ctx+'/images/memberIcon.png':ctx+'/images/zuke.png';
				$('#masterIcon').attr('src',src);
				showTips('success_tips',true);
			}else{//其他提示 如校验错误
				$('#tips_msg').text(result.errormsg);
				showTips('orther_tips',false);
			}
			waitingStop();
		});
	});
	
	$('#ok_tips_btn').click(function(){
		$(this).parent().hide();
		$('#div_tips').hide();
		$('#div_celllist').hide();
		$('#div_name').hide();
		$('#div_info').show();
        $('#div_face').hide();
	});
	$('#orther_tips_btn').click(function(){
		$(this).parent().hide();
		$('#div_tips').hide();
	});
	$('#unbindBtn').click(function(){
		if($('#confirm_tips')==null || $('#confirm_tips').length==0){
			var html = 
				'<div id="confirm_tips" class="tips-item-div tips-ok">'
					+'<span class="glyphicon glyphicon-question-sign"></span>'
					+'<div id="confirm_msg">确定要解除微信账号和门禁账号的绑定吗？</div>'
					+'<div id="confirm_tips_yes_btn" class="btn mybtn-default closeModel" style="bottom:92px;">确定</div>'
					+'<div id="confirm_tips_no_btn" class="btn mybtn-default closeModel">取消</div>'
				+'</div>';
			$('#div_tips').append(html);
			$('#confirm_tips_yes_btn').click(function(){
				$('#div_tips').hide();
				$('#confirm_tips').hide();
				doPost(ctx+"/info/unbing?appId="+appId,{openid:openid},false,function(result){
					if(typeof result == "string"){
						result = eval('('+result+')');
					}
					if(result.error == 0){//成功
						$('#ok_msg').text('解绑成功');
						$('#ok_tips_btn').click(function(){
							if(isWeiXin()){
								wx.closeWindow();
							}else{
								window.opener=null;
								window.open('','_self');
								window.close();
							}
						});
						showTips('success_tips',true);
					}else{//其他提示 如校验错误
						$('#tips_msg').text(result.errormsg);
						showTips('orther_tips',false);
					}
					waitingStop();
				});
			});
			$('#confirm_tips_no_btn').click(function(){
				$('#div_tips').hide();
				$('#confirm_tips').hide();
			});
		}
		$('#div_tips').show();
		$('#confirm_tips').show();
	});

	// 头像相关
    $('#div_face').hide();
    // 初始化人脸图片
    initFaceImg();

    $('#faceBackBtn').click(function(){
        $('#div_name').hide();
        $('#div_celllist').hide();
        $('#div_face').hide();
        $('#div_info').show();

    });
    $('#changeFaceBtn').click(function(){
        $("#file_input").click();
    });
    $("#userFace").click(function () {
        userFaceF();
    });
    // 头像相关 end
});

//切换住户人脸界面
function userFaceF(){
    $('#div_celllist').hide();
    $('#div_name').hide();
    $('#div_info').hide();
    $('#div_face').show();
}

//房产管理
function selCellF(){
	$('#div_celllist').show();
	$('#div_name').hide();
	$('#div_info').hide();
}
//成员管理
function setMembersF(){
	if(type==1){
		window.location.href=ctx+'/info/memberlist?appId='+appId+'&openid='+openid+'&userId='+userId+'&selCell='+selCell;
	}else{
		$('#tips_msg').text('您不是该房间的户主');
		showTips('orther_tips',false);
	}
}
//呼叫电话设置
function setPhoneF(){
	if(type==1){
		window.location.href=ctx+'/info/phone?appId='+appId+'&openid='+openid+'&userId='+userId+'&selCell='+selCell;
	}else{
		$('#tips_msg').text('您不是该房间的户主');
		showTips('orther_tips',false);
	}
}